## org.biojava.stats.svm
Interface SVMClassifierModel

All Known Implementing Classes:
  AbstractSVMClassifierModel

public interface SVMClassifierModel

An SVM classifier model.

This is the interface for objects that contain the model for a binary classification task.

Author:
  Matthew Pocock

Method Summary
`void` `addItem(java.lang.Object item)`
`void` `addItemAlpha(java.lang.Object item, double alpha)`
`double` `classify(java.lang.Object item)`
`void` `clear()`
`double` `getAlpha(java.lang.Object item)`
`SVMKernel` `getKernel()`
`double` `getThreshold()`
`java.util.Set` `itemAlphas()`
`java.util.Set` `items()`
`void` `removeItem(java.lang.Object item)`
`void` `setAlpha(java.lang.Object item, double alpha)`
`void` `setThreshold(double threshold)`

Method Detail

### getKernel

    public SVMKernel getKernel()

### setThreshold

    public void setThreshold(double threshold)
                      throws java.lang.UnsupportedOperationException

### getThreshold

    public double getThreshold()

### items

    public java.util.Set items()

### itemAlphas

    public java.util.Set itemAlphas()

### getAlpha

    public double getAlpha(java.lang.Object item)

### setAlpha

    public void setAlpha(java.lang.Object item,
                         double alpha)
                  throws java.lang.UnsupportedOperationException

### addItem

    public void addItem(java.lang.Object item)
                 throws java.lang.UnsupportedOperationException

### addItemAlpha

    public void addItemAlpha(java.lang.Object item,
                             double alpha)
                      throws java.lang.UnsupportedOperationException

### removeItem

    public void removeItem(java.lang.Object item)
                    throws java.lang.UnsupportedOperationException

### clear

    public void clear()
               throws java.lang.UnsupportedOperationException

### classify

    public double classify(java.lang.Object item)